const mongodb = require('mongodb');
const { findByName, findById, updateObj, findByAttributes, } = require('./common');

const { ObjectId } = mongodb;

function findGroupProdPrice(productPriceTypeId, productId, subproductId, groupId) {
  return { productPriceTypeId, productId, subproductId, groupId };
}

function findAuditGroupProdPrice(productPriceTypeId, productId, subproductId, groupId) {
  return { productPriceTypeId, productId, subproductId, groupId, priceEndDate: null};
}

module.exports = {
  findByName,
  findById,
  updateObj,
  findByAttributes,
  findGroupProdPrice,
  findAuditGroupProdPrice,
};